cURL
curl --request POST \
--url https://api.recoupable.com/api/socials/{id}/scrapeimport requests
url = "https://api.recoupable.com/api/socials/{id}/scrape"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.recoupable.com/api/socials/{id}/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/socials/{id}/scrape",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/socials/{id}/scrape"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.recoupable.com/api/socials/{id}/scrape")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/socials/{id}/scrape")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"runId": "<string>",
"datasetId": "<string>",
"error": "<string>"
}{
"status": "error",
"message": "<string>"
}Social
Social Scrape
Trigger a social profile scraping job for a given social profile. Use the Get Artist Socials endpoint first to retrieve the social profile id values. The response returns Apify run metadata for polling status and retrieving results via the Apify Scraper Results API.
POST
/
api
/
socials
/
{id}
/
scrape
cURL
curl --request POST \
--url https://api.recoupable.com/api/socials/{id}/scrapeimport requests
url = "https://api.recoupable.com/api/socials/{id}/scrape"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.recoupable.com/api/socials/{id}/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recoupable.com/api/socials/{id}/scrape",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recoupable.com/api/socials/{id}/scrape"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.recoupable.com/api/socials/{id}/scrape")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recoupable.com/api/socials/{id}/scrape")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"runId": "<string>",
"datasetId": "<string>",
"error": "<string>"
}{
"status": "error",
"message": "<string>"
}Path Parameters
The unique identifier (UUID) of the social profile to scrape. Obtain this from the Get Artist Socials API.
Was this page helpful?
